# class Bundler::Thor::Actions::CapturableERB

`Bundler::Thor::Actions#capture` depends on what kind of buffer is used in `ERB`. Thus `CapturableERB` fixes `ERB` to use `String` buffer.

### Public Instance Methods

set_eoutvar(compiler, eoutvar = "_erbout") click to toggle source

    # File lib/bundler/vendor/thor/lib/thor/actions/file_manipulation.rb, line 356
    def set_eoutvar(compiler, eoutvar = "_erbout")
      compiler.put_cmd = "#{eoutvar}.concat"
      compiler.insert_cmd = "#{eoutvar}.concat"
      compiler.pre_cmd = ["#{eoutvar} = ''.dup"]
      compiler.post_cmd = [eoutvar]
    end